import React from 'react';
import { Element } from './Element';
/**
 * Generic component to render a ContentKit output.
 * The component can be used both as a client and server one.
 */
export function ContentKitOutput(props) {
    const { output, context } = props;
    if (output.type === 'complete') {
        return null;
    }
    return (React.createElement(React.Fragment, null,
        process.env.NODE_ENV === 'development' ? (React.createElement("pre", { style: { display: 'none' } }, JSON.stringify(props.output, null, 2))) : null,
        React.createElement(Element, { element: output.element, context: context, state: output.state })));
}
