import React from 'react';
import { resolveDynamicBinding } from './dynamic';
import { DefaultCodeBlock, ElementCodeBlockClient } from './ElementCodeBlockClient';
export function ElementCodeBlock(props) {
    const { element, context, state } = props;
    const C = context.codeBlock ?? DefaultCodeBlock;
    const initialCode = resolveDynamicBinding(state, element.content);
    return (React.createElement(ElementCodeBlockClient, { element: element },
        React.createElement(C, { code: initialCode, syntax: element.syntax ?? 'plain', lineNumbers: element.lineNumbers ?? true })));
}
